2.x兼容 ie

yarn add babel-polyfill --save-dev

vue.config.js

configureWebpack: config => {
  config.entry.app = ['babel-polyfill', './src/main.js']
}

edge取消了TextEncoder的支持

解决办法
安装text-encoding
在需要使用到TextEncoder的地方 import encoding from 'text-encoding';
new encoding.TextEncoder().encode(string);

推荐阅读更多精彩内容